/*
**      expressionValues.h
**      Database Kit, Release 3.0
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/

#import <objc/objc.h>

/*
** This protocol is used to build ascii expressions from the objects of the
**  dbkit.  isDeferredExpression is used to delay the call to expressionValue;
**  it should return YES if the expressionValue/stringValue call is to be
**  deferred until the last possible moment.  This is useful when building
**  expressions that take input from the user interface, or from objects
**  that change state often.
*/
@protocol DBExpressionValues

- (const unsigned char*)expressionValue;
- (BOOL)isDeferredExpression;

@end
